<?php

declare(strict_types=1);

namespace Dedi\SyliusCustomerReferralPlugin\Domain\Referral\DTO;

use Dedi\SyliusCustomerReferralPlugin\Domain\Referral\Model\InviterModelInterface;

class ReferralDTO
{
    /** @var InviterModelInterface */
    private $inviter;

    /** @var string */
    private $inviteeEmail;

    public function __construct(
        InviterModelInterface $inviter,
        string $inviteeEmail
    ) {
        $this->inviter = $inviter;
        $this->inviteeEmail = $inviteeEmail;
    }

    public function getInviteeEmail(): string
    {
        return $this->inviteeEmail;
    }

    public function getInviter(): InviterModelInterface
    {
        return $this->inviter;
    }
}
