<?php

declare(strict_types=1);

namespace Dedi\SyliusCustomerReferralPlugin\Infrastructure\Factory;

use Dedi\SyliusCustomerReferralPlugin\Domain\Referral\DTO\ReferralDTO;
use Dedi\SyliusCustomerReferralPlugin\Domain\Referral\Factory\ReferralFactoryInterface;
use Dedi\SyliusCustomerReferralPlugin\Domain\Referral\Model\ReferralModelInterface;
use Dedi\SyliusCustomerReferralPlugin\Entity\Referral;
use Sylius\Component\Resource\Factory\FactoryInterface;

final class ReferralFactory implements FactoryInterface, ReferralFactoryInterface
{
    public function createNew()
    {
        return new Referral();
    }

    public function createReferral(ReferralDTO $referralDTO): ReferralModelInterface
    {
        return Referral::createFromReferralDTO($referralDTO);
    }
}
